/* Generated by Together */

#ifndef STRING_H
#define STRING_H
#include <string>

//std::string;

typedef std::basic_string < char > String;

typedef std::basic_string < wchar_t > wString;

//string
/*
class String
{
public:
	String();
	String(const char *);
	~String();    

    bool operator == (const String & X) const;

    bool operator < (const String & X, const String & Y) const;

protected:
private:
	string str_;
};
*/
#endif //STRING_H
